## hwdata 0.368

=== Makefile ===
NAME=hwdata
VERSION=$(shell awk '/Version:/ { print $$2 }' hwdata.spec)
RELEASE=$(shell rpm -q --define 'dist %{nil}' --specfile --qf "%{release}" hwdata.spec)
ifeq ($(shell git rev-parse --abbrev-ref HEAD 2>/dev/null | sed -n 's/^\([^0-9-]\+\).*/\L\1/p'), rhel)
    # add revision to tag name for rhel branches
    TAGNAME := v$(VERSION)-$(RELEASE)
else
    TAGNAME := v$(VERSION)
endif
SOURCEDIR := $(shell pwd)
ARCHIVE := $(TAGNAME).tar.gz

CVSROOT = $(shell cat CVS/Root 2>/dev/null || :)

CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))

IDFILES = pci.ids usb.ids oui.txt iab.txt pnp.ids

# usb.ids is not in UTF-8
UTF_IDFILES = pci.ids oui.txt iab.txt pnp.ids

.PHONY: all install tag force-tag check commit create-archive archive srpm-x \
    clean clog download

include Makefile.inc

all:

Makefile.inc: configure
	./configure
	@echo "$@ generated. Run the make again."
	@exit 1

hwdata.pc: hwdata.pc.in
	datadir="$(datadir)"; \
	if [ "$${datadir#$(prefix)}" != "$$datadir" ]; then \
		datadir="\$${prefix}$${datadir#$(prefix)}"; \
	fi; \
	sed -e 's|@prefix@|$(prefix)|g' \
		-e "s|@datadir@|$$datadir|g" \
		-e 's|@pkgdatadir@|$${datadir}/$(NAME)|g' \
		-e 's|@VERSION@|$(VERSION)|g' \
		-e 's|@NAME@|$(NAME)|g' \
		$< > $@

install: Makefile.inc hwdata.pc
	mkdir -p -m 755 $(DESTDIR)$(datadir)/$(NAME)
	for foo in $(IDFILES) ; do \
		install -m 644 $$foo $(DESTDIR)$(datadir)/$(NAME) ;\
	done
	@if [ "$(blacklist)" = true ]; then \
		mkdir -p -m 755 $(DESTDIR)$(libdir)/modprobe.d ;\
		install -m 644 -T blacklist.conf $(DESTDIR)$(libdir)/modprobe.d/dist-blacklist.conf ;\
	fi;
	mkdir -p -m 755 $(DESTDIR)$(datadir)/pkgconfig
	install -m 644 hwdata.pc $(DESTDIR)$(datadir)/pkgconfig/

commit:
	git commit -vas ||:

tag:
	@git tag -s -m "Tag as $(TAGNAME)" $(TAGNAME)
	@echo "Tagged as $(TAGNAME)"

force-tag:
	@git tag -s -f -m "Tag as $(TAGNAME)" $(TAGNAME)
	@echo "Tag forced as $(TAGNAME)"

changelog:
	@rm -f ChangeLog
	@(GIT_DIR=.git git log > .changelog.tmp && mv .changelog.tmp ChangeLog || rm -f .changelog.tmp) || (touch ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)

check:
	@lspci -i pci.ids > /dev/null || { echo "FAILURE: lspci -i pci.ids"; exit 1; } && echo "OK: lspci -i pci.ids"
	@./check-pci-ids.py || { echo "FAILURE: ./check-pci-ids.py"; exit 1; } && echo "OK: ./check-pci-ids.py"
	@./check-usb-ids.sh
	@for file in $(UTF_IDFILES); do \
	    iconv -f UTF-8 "$$file" >/dev/null || { echo "FAILURE: $$file is not valid UTF-8 data"; exit 1; }; \
	    echo "OK: $$file is valid UTF-8 data"; \
	done
	@echo -n "CHECK date of pci.ids: "; grep "Date:" pci.ids | cut -d ' ' -f 5
	@echo -n "CHECK date of usb.ids: "; grep "Date:" usb.ids | cut -d ' ' -f 6

create-archive:
	@rm -rf $(TAGNAME) $(TAGNAME).tar*  2>/dev/null
	@make changelog
	@git archive --format=tar --prefix=hwdata-$(VERSION)/ HEAD > $(TAGNAME).tar
	@mkdir hwdata-$(VERSION)
	@cp ChangeLog hwdata-$(VERSION)/
	@tar --append -f $(TAGNAME).tar hwdata-$(VERSION)
	@gzip -f $(TAGNAME).tar
	@rm -rf hwdata-$(VERSION)
	@echo ""
	@echo "The final archive is in $(ARCHIVE)"

archive: check clean commit tag

upload:
	@scp $(ARCHIVE) fedorahosted.org:$(NAME)

srpm-x: create-archive
	@echo Creating $(NAME) src.rpm
	@rpmbuild --nodeps -bs --define "_sourcedir $(SOURCEDIR)" --define "_srcrpmdir $(SOURCEDIR)" $(NAME).spec
	@echo SRPM is: $(NAME)-$(VERSION)-$(RELEASE).src.rpm

clean:
	@rm -f $(TAGNAME)*.gz $(NAME)-*.src.rpm pnp.ids.xlsx \
	    *.downloaded *.utf8 *.orig hwdata.pc ChangeLog clog

clog: hwdata.spec
	@sed -n '/^%changelog/,/^$$/{/^%/d;/^$$/d;s/%%/%/g;p}' $< | tee $@

download: $(IDFILES)

usb.ids.downloaded:
	@curl -o $@ http://www.linux-usb.org/usb.ids

pci.ids.downloaded:
	@curl -o $@ https://raw.githubusercontent.com/pciutils/pciids/master/pci.ids

oui.txt.downloaded:
	@curl -o $@ -O https://standards-oui.ieee.org/oui/oui.txt

iab.txt.downloaded:
	@curl -o $@ -O https://standards-oui.ieee.org/iab/iab.txt

pnp.ids.xlsx:
	@curl -o $@ \
	    https://uefi.org/uefi-pnp-export

usb.ids: usb.ids.utf8
	dos2unix -n $? $@

pci.ids.orig: pci.ids.utf8
	dos2unix -n $? $@

pci.ids: pci.ids.orig missgenerated-pci.ids.patch
	patch -p1 -o $@ pci.ids.orig missgenerated-pci.ids.patch

oui.txt: oui.txt.utf8
	dos2unix -n $? $@

iab.txt: iab.txt.utf8
	dos2unix -n $? $@

pnp.ids.orig: pnp.ids.xlsx
	grep "class" $? | \
	    tr ' ' ' ' | \
	    sed -n \
	        -e 's/\s\{2,\}/ /g' \
	        -e 's/\&amp;/\&/g' \
	        -e "s/\&#039;/'/g" \
	        -e 's:^.*<tr class=".*"><td>\(.*\)</td><td>\([a-zA-Z@]\{3\}\).*</td><td>.*$$:\2\t\1:p' | \
	    sed 's/\s*$$//' | sort -u >$@

pnp.ids: pnp.ids.orig pnp.ids.patch
	patch -p1 -o $@ pnp.ids.orig pnp.ids.patch

%.utf8: %.downloaded
	@text=`LANG=C file $?`
	@encoding=`echo "$$text" | sed -n 's/.*\(iso-8859\S\*\|cp1[12]\d\+\).*/\1/Ip'`
	@if [ -n "$$encoding" ]; then \
	    iconv -f "$$encoding" -t UTF-8 $?; \
	else \
	    cat $?; \
	fi | sed 's/\s\+$$//' >$@

=== debian/changelog ===
hwdata (0.368-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Mar 2023 07:25:02 +0100

=== debian/control ===
Source: hwdata
Section: misc
Priority: optional
Maintainer: Pino Toscano <pino@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/vcrhonek/hwdata
Vcs-Browser: https://salsa.debian.org/pino/hwdata
Vcs-Git: https://salsa.debian.org/pino/hwdata.git

Package: hwdata
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, pci.ids, usb.ids
Description: hardware identification / configuration data
 This package contains various hardware identification and configuration data,
 such as the pci.ids database, or the XFree86/xorg Cards database.
 It is needed for the kudzu hardware detection.

## hwdata 0.373

=== Makefile ===
--- 
+++ 
@@ -131,11 +131,8 @@
 usb.ids: usb.ids.utf8
 	dos2unix -n $? $@
 
-pci.ids.orig: pci.ids.utf8
+pci.ids: pci.ids.utf8
 	dos2unix -n $? $@
-
-pci.ids: pci.ids.orig missgenerated-pci.ids.patch
-	patch -p1 -o $@ pci.ids.orig missgenerated-pci.ids.patch
 
 oui.txt: oui.txt.utf8
 	dos2unix -n $? $@

=== debian/changelog ===
hwdata (0.373-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Aug 2023 22:55:49 +0200

hwdata (0.372-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Jul 2023 07:00:50 +0200

hwdata (0.371-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Jun 2023 09:37:29 +0200

## hwdata 0.374

=== debian/changelog ===
hwdata (0.374-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Sep 2023 19:07:30 +0200

## hwdata 0.378

=== debian/changelog ===
hwdata (0.378-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 05 Jan 2024 14:12:44 +0100

hwdata (0.377-2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to consider also dashes in versions.

 -- Pino Toscano <pino@debian.org>  Mon, 04 Dec 2023 11:46:20 +0100

hwdata (0.376-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Nov 2023 19:03:21 +0100

hwdata (0.375-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Oct 2023 12:11:27 +0200

## hwdata 0.379

=== Makefile ===
--- 
+++ 
@@ -71,7 +71,8 @@
 	@(GIT_DIR=.git git log > .changelog.tmp && mv .changelog.tmp ChangeLog || rm -f .changelog.tmp) || (touch ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)
 
 check:
-	@lspci -i pci.ids > /dev/null || { echo "FAILURE: lspci -i pci.ids"; exit 1; } && echo "OK: lspci -i pci.ids"
+	@lspci -A dump -O dump.name=lspci-dump.txt -i pci.ids > /dev/null || \
+		{ echo "FAILURE: lspci -A dump -O dump.name=lspci-dump.txt -i pci.ids"; exit 1; } && echo "OK: lspci -A dump -O dump.name=lspci-dump.txt -i pci.ids"
 	@./check-pci-ids.py || { echo "FAILURE: ./check-pci-ids.py"; exit 1; } && echo "OK: ./check-pci-ids.py"
 	@./check-usb-ids.sh
 	@for file in $(UTF_IDFILES); do \
@@ -104,7 +105,7 @@
 	@echo SRPM is: $(NAME)-$(VERSION)-$(RELEASE).src.rpm
 
 clean:
-	@rm -f $(TAGNAME)*.gz $(NAME)-*.src.rpm pnp.ids.xlsx \
+	@rm -f $(TAGNAME)*.gz $(NAME)-*.src.rpm pnp.ids.csv \
 	    *.downloaded *.utf8 *.orig hwdata.pc ChangeLog clog
 
 clog: hwdata.spec
@@ -116,7 +117,7 @@
 	@curl -o $@ http://www.linux-usb.org/usb.ids
 
 pci.ids.downloaded:
-	@curl -o $@ https://raw.githubusercontent.com/pciutils/pciids/master/pci.ids
+	@curl -o $@ https://pci-ids.ucw.cz/v2.2/pci.ids
 
 oui.txt.downloaded:
 	@curl -o $@ -O https://standards-oui.ieee.org/oui/oui.txt
@@ -124,7 +125,7 @@
 iab.txt.downloaded:
 	@curl -o $@ -O https://standards-oui.ieee.org/iab/iab.txt
 
-pnp.ids.xlsx:
+pnp.ids.csv:
 	@curl -o $@ \
 	    https://uefi.org/uefi-pnp-export
 
@@ -140,15 +141,8 @@
 iab.txt: iab.txt.utf8
 	dos2unix -n $? $@
 
-pnp.ids.orig: pnp.ids.xlsx
-	grep "class" $? | \
-	    tr ' ' ' ' | \
-	    sed -n \
-	        -e 's/\s\{2,\}/ /g' \
-	        -e 's/\&amp;/\&/g' \
-	        -e "s/\&#039;/'/g" \
-	        -e 's:^.*<tr class=".*"><td>\(.*\)</td><td>\([a-zA-Z@]\{3\}\).*</td><td>.*$$:\2\t\1:p' | \
-	    sed 's/\s*$$//' | sort -u >$@
+pnp.ids.orig: pnp.ids.csv
+	./process-pnp-ids.py $? $@
 
 pnp.ids: pnp.ids.orig pnp.ids.patch
 	patch -p1 -o $@ pnp.ids.orig pnp.ids.patch

=== debian/changelog ===
hwdata (0.379-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 10 Feb 2024 06:29:32 +0100

## hwdata 0.383

=== debian/changelog ===
hwdata (0.383-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 25 Jun 2024 20:51:52 +0200

hwdata (0.380-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Mar 2024 06:34:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/vcrhonek/hwdata
 Vcs-Browser: https://salsa.debian.org/pino/hwdata

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[-\d.]*)\.tar\.gz%hwdata-$1.tar.gz%" \
https://github.com/vcrhonek/hwdata/tags \
(?:.*?/)?v?(\d[-\d.]*)\.tar\.gz

## hwdata 0.384

=== debian/changelog ===
hwdata (0.384-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jul 2024 18:33:50 +0200

## hwdata 0.385

=== debian/changelog ===
hwdata (0.385-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 10 Aug 2024 06:49:52 +0200

## hwdata 0.387

=== Makefile ===
--- 
+++ 
@@ -145,7 +145,8 @@
 	./process-pnp-ids.py $? $@
 
 pnp.ids: pnp.ids.orig pnp.ids.patch
-	patch -p1 -o $@ pnp.ids.orig pnp.ids.patch
+	patch -p1 -o - pnp.ids.orig pnp.ids.patch | \
+	    sed 's/\tDO NOT USE - /\tInvalid Vendor Codename - /' >$@
 
 %.utf8: %.downloaded
 	@text=`LANG=C file $?`

=== debian/changelog ===
hwdata (0.387-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Sep 2024 18:50:42 +0200

## hwdata 0.392

=== debian/changelog ===
hwdata (0.392-1) unstable; urgency=medium

  * New upstream release.
  * debian/not-installed: comment why iab.txt, and oui.txt are not shipped.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Feb 2025 17:15:16 +0100

## hwdata 0.393

=== debian/changelog ===
hwdata (0.393-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Mar 2025 07:42:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/vcrhonek/hwdata
 Vcs-Browser: https://salsa.debian.org/pino/hwdata

## hwdata 0.394

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,6 @@
 CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))
 
 IDFILES = pci.ids usb.ids oui.txt iab.txt pnp.ids
-
-# usb.ids is not in UTF-8
-UTF_IDFILES = pci.ids oui.txt iab.txt pnp.ids
 
 .PHONY: all install tag force-tag check commit create-archive archive srpm-x \
     clean clog download
@@ -75,7 +72,7 @@
 		{ echo "FAILURE: lspci -A dump -O dump.name=lspci-dump.txt -i pci.ids"; exit 1; } && echo "OK: lspci -A dump -O dump.name=lspci-dump.txt -i pci.ids"
 	@./check-pci-ids.py || { echo "FAILURE: ./check-pci-ids.py"; exit 1; } && echo "OK: ./check-pci-ids.py"
 	@./check-usb-ids.sh
-	@for file in $(UTF_IDFILES); do \
+	@for file in $(IDFILES); do \
 	    iconv -f UTF-8 "$$file" >/dev/null || { echo "FAILURE: $$file is not valid UTF-8 data"; exit 1; }; \
 	    echo "OK: $$file is valid UTF-8 data"; \
 	done
@@ -106,7 +103,7 @@
 
 clean:
 	@rm -f $(TAGNAME)*.gz $(NAME)-*.src.rpm pnp.ids.csv \
-	    *.downloaded *.utf8 *.orig hwdata.pc ChangeLog clog
+	    *.downloaded *.utf8 *.orig *.converted hwdata.pc ChangeLog clog
 
 clog: hwdata.spec
 	@sed -n '/^%changelog/,/^$$/{/^%/d;/^$$/d;s/%%/%/g;p}' $< | tee $@
@@ -129,8 +126,12 @@
 	@curl -o $@ \
 	    https://uefi.org/uefi-pnp-export
 
-usb.ids: usb.ids.utf8
+usb.ids.converted: usb.ids.utf8
 	dos2unix -n $? $@
+
+usb.ids: usb.ids.converted 01-utf-8-encoding.patch.patch 02-typos.patch.patch
+	patch -p1 -o $@ usb.ids.converted 01-utf-8-encoding.patch.patch
+	patch -p0 -b <02-typos.patch.patch
 
 pci.ids: pci.ids.utf8
 	dos2unix -n $? $@

=== debian/changelog ===
hwdata (0.394-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 04 Apr 2025 07:05:37 +0200

hwdata (0.393-3) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Mar 2025 06:44:55 +0100

hwdata (0.393-2) experimental; urgency=medium

  * Split /usr/share/hwdata/pnp.ids into its own pnp.ids binary package:
    this will make it possible for users/packages to depend only on it without
    pulling the whole hwdata (which might get more data files in the future).
  * Improve/update description of hwdata.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Mar 2025 14:41:34 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,22 @@
 Package: hwdata
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, pci.ids, usb.ids
+Depends: ${misc:Depends}, pnp.ids (= ${binary:Version}), pci.ids, usb.ids
 Description: hardware identification / configuration data
  This package contains various hardware identification and configuration data,
- such as the pci.ids database, or the XFree86/xorg Cards database.
- It is needed for the kudzu hardware detection.
+ such as the pci.ids, pnp.ids, and usb.ids databases.
+ .
+ Some of the shipped databases can be installed on their own; see the specific
+ packages "pci.ids", "pnp.ids", and "usb.ids".
+
+Package: pnp.ids
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Breaks: hwdata (<< 0.393-2~),
+Replaces: hwdata (<< 0.393-2~),
+Description: PNP ID Registry
+ This package contains the pnp.ids file, a public registry of all known
+ Vendor ID's used in PnP devices: ID's of vendors and names of vendors.
+ It is used in various programs to display full human-readable names instead
+ of cryptic codes.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

execute_before_dh_auto_clean:
	test -e Makefile.inc || touch Makefile.inc

execute_after_dh_auto_clean:
	rm -f Makefile.inc

override_dh_auto_configure:
	dh_auto_configure -- --disable-blacklist

override_dh_auto_install:
	# install to debian/tmp so we can pick only what we need
	dh_auto_install --destdir=debian/tmp

# the tests are only for things we do not ship
override_dh_auto_test:
